# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

updatePercent = function(value, total, percentText, skip=10)
{
  if((value %% skip) == 0)
  {
    cat(rep("\b", nchar(percentText)), sep="")
    percentText <- paste(round(100 * value / total, 2), "% ", sep="")
    cat(percentText)
  }
  return(percentText)
}

# calculateWithProgress = function(jobTitle, jobFunction)
# {
#   cat(jobTitle, " 0% ", sep="");
#   percentText <- "0% "
#   cat(system.time(jobFunction())[3], "seconds\n")
# }
