# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

smoothedS = S
# for(ii in 2:(smoothingLength-1))
#   smoothedS[,ii] = rowSums(S[,1:ii]) / ii
# for(ii in smoothingLength:ncol(S))
#   smoothedS[,ii] = rowSums(S[,(ii-smoothingLength+1):ii]) / smoothingLength

cat("Smoothing with expFactor = ", expFactor, "\n")
for(ii in 2:ncol(S))
  smoothedS[,ii] = smoothedS[,ii] + expFactor * smoothedS[,ii-1]
