# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

mutopiaFiles.testing = unlist(read.table("mutopiaFiles.testing.txt", stringsAsFactors=FALSE), use.names=FALSE)

totalFrameLengths = c()
for(filename in mutopiaFiles.testing)
{
  processedFilename = gsub("/", "_", filename)
  processedFilename = gsub("\\.mid", "", processedFilename)
  frameLengths = diff(read.table(paste("FramePos/", processedFilename, ".csv", sep=""))[,1])
  totalFrameLengths = c(totalFrameLengths, frameLengths)
}

averageFrameSize = mean(totalFrameLengths)
# 93.49674 ms
averageBPM = 10/averageFrameSize
# 106.9556
