# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

mutopiaFiles.testing = unlist(read.table("mutopiaFiles.testing.txt", stringsAsFactors=FALSE), use.names=FALSE)

totalPolyphony = c()
for(filename in mutopiaFiles.testing)
{
  cat(filename, "\n")
  processedFilename = gsub("/", "_", filename)
  processedFilename = gsub("\\.mid", "", processedFilename)
  load(paste("Processed/", processedFilename, ".txt.Rdata", sep=""))
  totalPolyphony = c(totalPolyphony, colSums(dataMatrix))
}

averagePolyphony = mean(totalPolyphony)
# 3.458896
maxPolyphony = max(totalPolyphony)
# 15....
