# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

mutopiaFiles = read.table("Datasets/Mutopia/processedfilelist.txt")[,1]
mutopiaSize = length(mutopiaFiles)

validationFileNumbers = floor(seq(1, mutopiaSize, length.out=100))
testingFileNumbers    = c((validationFileNumbers + 1)[1:99], 20)

mutopiaFiles.training   = mutopiaFiles[(!(seq(1, mutopiaSize) %in% validationFileNumbers) & !(seq(1, mutopiaSize) %in% testingFileNumbers))]
mutopiaFiles.testing    = mutopiaFiles[testingFileNumbers]
mutopiaFiles.validation = mutopiaFiles[validationFileNumbers]
