#!/bin/bash
set -e
for filename in `cat mutopiaFiles.txt | sed -e 's/\.mid//'`; do
  midifilename=`echo "$filename" | sed -e 's/\./_/g'`
  wavefilename=`echo "$midifilename" | sed -e 's/\//_/g'`
  echo Wav16/$wavefilename.wav
  if [ ! -f Wav16/$wavefilename.wav ]; then
    echo " - Synthesizing"
    timidity -Ow "MIDI/$filename.mid" #1>/dev/null
    mv "MIDI/$midifilename.wav" "Wav44.1/$wavefilename.wav"
    echo " - Resampling"
    mplayer -srate 16000 "Wav44.1/$wavefilename.wav" -ao pcm:file=Wav16/$wavefilename.wav -af channels=1 #1>/dev/null
    rm -f Wav44.1/$wavefilename.wav
  fi
done
