# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

# testRwcFiles = paste("RWC-C", c("16", "24A", "24B", "24C", "25A", "25B", "25C", "29", "30", "32", "35A", "35B", "35C", "36", "41"), ".Rdata", sep="")

rwcLetters = c("A", "B", "C", "D", "E")
allRwcFiles = paste("RWC-C", c(paste("0", c(1:5,7:9), sep=""),
                               10:22,
                               paste(23, rwcLetters[c(1,2,3,4,5)], sep=""),
                               paste(24, rwcLetters[1:3], sep=""),
                               paste(25, rwcLetters[1:4], sep=""),
                               26:34,
                               paste(35, rwcLetters[1:3], sep=""),
                               36:50), sep="")

# These files are temporarily removed due to problems with KSN data:
# - RWC-C05
# - RWC-C06
# - RWC-C07
# - RWC-C08
# - RWC-C09
# - RWC-C23C
# - RWC-C23E

# Only these files have matching MIDI data:
harmonyRwcFiles = c("RWC-C15", "RWC-C23A", "RWC-C25C", "RWC-C35B", "RWC-C41",
                    "RWC-C16", "RWC-C24A", "RWC-C25A", "RWC-C25D", "RWC-C32",  "RWC-C35C", "RWC-C48",
                    "RWC-C22", "RWC-C24B", "RWC-C25B", "RWC-C35A")
