# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

cat("\t\t- Precalculating polyphony probabilities... ")
timing = system.time({
  probP = array(uninformedPty, dim=c(2, dataSize, 88))
  for(frameNr in 1:dataSize)
  {
    notesBelow = c(rev(cumsum(rev(dataMatrix[, frameNr]))), 0) + 1
    probP[,frameNr,] = t(polyphonyPties[notesBelow[2:89], ])
  }
})[1]
cat(timing, " s\n", sep="")
