# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

################################################################################
## Training ································································ ###
##
##
## Do not change these parameters, the code (after so many changes)
## might not work properly. This should be fixed in the future.
##

# Preparing data
timeBasis  = 2      # 1 - measure, 2 - beat, 3 - tick
frameSize  = 1/6    # 1/6 of a beat
enharmonic = FALSE  # 24- (FALSE) or 30-element (TRUE) key dictionary

# Training
smoothing   = TRUE
tying       = FALSE
plotResults = TRUE

plotResults = TRUE
plotToPDF   = TRUE
imageWidth  = 10  # in cm

stateCount  = 24  # number of chord states
octaveCount = 9   # there are 9 octaves on a piano keyboard (from A0 to C8)

# Voice model
voiceModelThreshold = 0 # 4 * 1e-3   # 4mb

maxDistance = 7   # for voice model
maxSimultaneousPitchNumber = 36   # for polyphony model

# The output probability
nonlinearityFactor = 0.5
quantizationLevels = 500
# maxS = 0.04
maxS = 1
