#!/bin/sh
# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------
#for fileNr in 1 3 10 17 27; do
for fileNr in 20 21 22 23 24 25 26 28 29 30; do
  for expNr in 6; do  # we do only 0.5 from now on
    qsub -l h_rt=24:00:00 -l h_vmem=42G -cwd -N pretrain_${fileNr}_${expNr} -S /bin/sh precalculateTransitionMatrix.sh $expNr ${fileNr}
  done
done
