#!/bin/sh
# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

#$ -S /bin/sh -cwd
#$ -M stanislaw.raczynski@inria.fr -m a
#$ -j yes -o /nfs/titanex/vol/calcul2/metiss-calcul/sraczyns/$USER-$JOB_NAME.stdout

echo "NAME=${JOB_NAME} ID=${JOB_ID} TASKID=${SGE_TASK_ID}"
echo "STDOUT=${SGE_STDERR_PATH} STDERR=${SGE_STDERR_PATH}"
echo "ARGS=$*"

R --vanilla << EOF
  expFactorNr = $1
  filesToInclude = $2
  source("Training/trainAcousticModelWeight.precalculateData.R")
EOF

exit 0
